package com.red.circle.other.inner.asserts;


import com.red.circle.framework.dto.IResponseErrorCode;
import com.red.circle.framework.dto.ResErrorCode;

/**
 * 活动服务code: 9500 ~ 9700
 *
 * @author lisizhe 2023/9/14
 */
@ResErrorCode(describe = "活动服务Code", minCode = 9500, maxCode = 9700)
public enum ActivityErrorCode implements IResponseErrorCode {

  /**
   * 已参加活动.
   */
  ALREADY_ACTIVITY(9501, "You have participated in the event"),

  /**
   * 活动审核不通过.
   */
  ACTIVITY_REVIEW_NOT_PASS(9502, "Activity review failed"),

  /**
   * 活动审核中.
   */
  ACTIVITY_REVIEW_PENDING(9503, "Activity under review"),

  /**
   * 不可修改活动.
   */
  CANNOT_EDIT_EVENT(9504, "Cannot edit event"),

  /**
   * 活动等待开始中.
   */
  ACTIVITY_PENDING_START(9505, "Activity waiting to start"),

  /**
   * 活动进行中.
   */
  ACTIVITY_IN_PROGRESS(9506, "Activity in progress"),
  /**
   * 活动房间未配置.
   */
  ACTIVITY_NOT_CONFIGURED_ERROR(9508, "Activity room not configured"),
  /**
   * 活动房间不存在.
   */
  ACTIVITY_ROOM_NOT_EXIST(9509, "Activity room not exist"),

  /**
   * 在无效的时间段内操作.
   */
  INVALID_TIME_OPERATION_ERROR(9507, "Please operate within the specified time period"),


    AWARD_RECEIVED(9508, "The reward has been received, please do not receive it again"),


    ;

  private final Integer code;
  private final String message;

  ActivityErrorCode(Integer code, String message) {
    this.code = code;
    this.message = message;
  }

  @Override
  public Integer getCode() {
    return this.code;
  }

  @Override
  public String getMessage() {
    return message;
  }

  @Override
  public String getErrorCodeName() {
    return this.name();
  }

}
